import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}salelist`, { data });
};

export const httpProducts = (data: object): any => {
  return http.request("post", `${yewuApi}goodlist`, { data });
};

export const httpGoodupList = (data: object): any => {
  return http.request("post", `${yewuApi}goodup_list_copy`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${yewuApi}projectcreate`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}saleinfo`, { data });
};

export const httpOnlineProduct  = (data: object): any => {
  return http.request("post", `${yewuApi}goodinfo`, { data });
};

export const httpActivity = (data: object): any => {
  return http.request("post", `${yewuApi}actquery`, { data });
};


export const httpMinimumPrice = (data: object): any => {
  return http.request("post", `${yewuApi}salegetprice`, { data });
};

export const httpProofs = (data: object): any => {
  return http.request("post", `${yewuApi}goodproof`, { data });
};

export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}branddel`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}brandedit`, { data });
};
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}brandstatus`, { data });
};
